Bug 161485 - Write to SCSI tape fails with ips module
Write to SCSI tape fails with ips module
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 13:35 EDT by Bill Greene
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-05 11:56:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Greene 2005-06-23 13:35:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I'm installing FC4 on a new IBM x226, with on-board SCSI and IBM ServeRaid 6i board.  The tape drive is an IBM-branded Seagate.  The drive is on the second channel of the on-board SCSI at device 6

When I go to write a tape (e.g., "tar -cvf /dev/st0 *"), the operation goes normally.  After the last file is written there is a pause, followed by this message:

ips 0000:03:01.0: Reset Request - Flushed Cache
st0: Error 6000000 (sugg. bt 0x0, driver bt 0x6, host bt 0x0).

At that point, the drive and/or driver appear to be locked up, and any other tape operation (even a status check using mt) fails with an "input/output 
error".  Rebooting clears the error.  Reading tapes (e.g., "tar -tvf /dev/st0") does not cause the problem. The tape created in a failed write operation reads back with no problem, so the problem appears to occur after the data write is complete.

An identical machine running FC3 does not exhibit the problem.  I've installed a n additional SCSI (an LSI) and connected the drive to it, and there are no problems.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot
2. do tape write (e.g., tar -cvf /dev/st0 *)
3.
  

Actual Results:  At end (perhaps at rewind?) fails with error message:

ips 0000:03:01.0: Reset Request - Flushed Cache
st0: Error 6000000 (sugg. bt 0x0, driver bt 0x6, host bt 0x0).

Drive/driver locked up until reboot; tape operations return "input/output error" until reboot. Tape is created correctly.

Expected Results:  No message, drive/driver OK.

Additional info:
Comment 1 Bill Greene 2005-07-05 11:56:11 EDT
The problem appears to be related to the firmware in the controller.  It turns
out that the working machine had 7.10.17 and the failing machine had 7.10.18. 
Updating to 7.10.23 (the latest available on IBM's download site) eliminates the
problem.

Note You need to log in before you can comment on or make changes to this bug.